<template>
<div>
  <v-toolbar
      dark
      prominent
      src="/images/fondo.png"
      align="center"
      class="text-center"
    >
    <div class="center text-uppercase">
        <div>¡Bienvenido,
          <span class="font-weight-bold">
            {{ title? title : fullname }}
            </span>!
        </div>
        <div class="close" @click="logout" v-if="logged">
          <!--<i class="fa fa-sign-out" aria-hidden="true"></i> -->
          X Cerrar sesión
        </div>
    </div>
  </v-toolbar>
</div>
</template>

<script>
export default {
  data () {
    return {
    }
  },
  props:{
    title: {
      type:String,
      default: null
    },
    logged: {
      type: Boolean,
      default: true
    },
  },
  computed:{
    fullname(){
      if (this.logged)
        return `${this.$store.state.user.nombres}  ${this.$store.state.user.apellidoPat}`
      else
        return this.title
    }
  },
  methods:{
    logout(){
        this.$store.dispatch('logout')
        this.$router.go()
      }
  }
}
</script>

<style scoped lang="scss">
.center{
  width:100%;
  margin:auto 0;
  position:relative;
}
.close{
  position:absolute;
  top:5px;
  right:10px;
  font-size:12px;
  cursor:pointer;
}

</style>
